Will this work on a thunderbolt equipped iMac 12,2 running 10.6.8?

  • Asked by Harold B from Seaford
  • 05-May-2013
Belkin Thunderbolt Express Dock

Belkin Thunderbolt Express Dock

Product No Longer Available

2 Answers from the Community

  • Answer

    It Requires 10.8 for the USB 3.0

    • Answered by Gordon G from Modesto
    • 07-May-2013
  • Apple says that if you are running 10.6.8 and have a thunderbolt port, all should be in order.

    • Answered by Joey P from West Lafayette
    • 13-Nov-2013